Skip to main content
GET
/
v1
/
orgs
/
{orgName}
/
channels
/
{channelSlug}
/
rfqs
/
{id}
cURL
curl --request GET \
  --url https://api.connect.bluelayer.tech/v1/orgs/{orgName}/channels/{channelSlug}/rfqs/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "listingIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "state": "closed",
  "number": 123,
  "reference": "<string>",
  "buyerDescription": "<string>",
  "contractType": "spot",
  "fulfilmentMethod": "transfer",
  "fulfilmentDueDate": "2026-01-20",
  "minVolume": 123,
  "maxVolume": 123,
  "reportingPeriodStart": "2026-01-20",
  "reportingPeriodEnd": "2026-01-20",
  "minVintageYear": "Any",
  "maxVintageYear": 2020,
  "pricing": {
    "minUnitPrice": 123,
    "maxUnitPrice": 123,
    "currency": "USD"
  },
  "additionalRequirements": "<string>",
  "responses": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "listingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "reasonForPurchase": "buyToRetire",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "openedAt": "2026-01-20T10:00:00.005Z",
  "closedAt": "2026-01-20T10:00:00.005Z",
  "responseDueDate": "2023-12-25"
}

Authorizations

Authorization
string
header
required

Path Parameters

orgName
string
required
channelSlug
string
required
id
string<uuid>
required

Response

Default Response

id
string<uuid>
required
listingIds
string<uuid>[]
required
state
enum<string>
required
Available options:
closed,
open
number
number
required
reference
null | string
required
buyerDescription
null | string
required
contractType
enum<string>
required
Available options:
spot,
forward
fulfilmentMethod
null | enum<string>
required
Available options:
transfer,
retirement,
assignment
fulfilmentDueDate
null | string<date>
required
Example:

"2026-01-20"

minVolume
number
required
maxVolume
number
required
reportingPeriodStart
null | string<date>
required
Example:

"2026-01-20"

reportingPeriodEnd
null | string<date>
required
Example:

"2026-01-20"

minVintageYear
required

Minimum vintage year, or 'Any' if no minimum

Available options:
Any
Example:

"Any"

maxVintageYear
required

Maximum vintage year, or 'Any' if no maximum

Available options:
Any
Example:

2020

pricing
object
required
additionalRequirements
null | string
required
responses
object[]
required
reasonForPurchase
null | enum<string>
required
Available options:
buyToRetire,
buyToSell,
other
createdAt
string<date-time>
required
Example:

"2026-01-20T10:00:00.005Z"

updatedAt
string<date-time>
required
Example:

"2026-01-20T10:00:00.005Z"

openedAt
null | string<date-time>
required
Example:

"2026-01-20T10:00:00.005Z"

closedAt
null | string<date-time>
required
Example:

"2026-01-20T10:00:00.005Z"

responseDueDate
string<date>

The date by which the response is due

Example:

"2026-01-20"